#!/bin/sh
# Helper script for annotate buttons
#
# $1 is the pname to annotate
# $2 is the element name (i.e. $1 might be foo.c@@/main/7, $2 is foo.c)
# $3 is the editor script to run
# $4-n are options to annotate

PN="$1"
ELEM="$2"
ANN_EDITOR="$3"
shift 3

LEAF=`basename $ELEM`

if cleartool lsco -s -cview $ELEM | grep . >/dev/null ; then
    # checked-out -- warn about -nco
    # TRANSLATE quoted string after -prompt switch
    if clearprompt proceed -prompt "警告: $LEAF は､チェックアウトされています。  
チェックインされたバージョンのみに注釈をつけることができます。                          

代わりに 'チェックアウト元' バージョンに注釈をつけますか?" -prefer_gui ; then     
	cleartool annotate -nco $* $PN
    else
	# TRANSLATE quoted string after "echo" command
	echo 'コマンドが中止されました'        
	exit 1
    fi
else
    if cleartool annotate $* $PN ; then
	# TRANSLATE quoted string after -prompt switch
	if clearprompt yes_no -type ok -mask yes,no -prompt "結果は $LEAF.ann です。
	今すぐ表示しますか?" -prefer_gui ; then                                        
	    # run editor script
	    $ANN_EDITOR $ELEM.ann &
	fi
    else
	exit 1
    fi
fi

exit 0
